#
#  General Home-manager configuration
#
#  flake.nix
#   ├─ ./hosts
#   │   └─ home.nix *
#   └─ ./modules
#       ├─ ./editors
#       │   └─ default.nix
#       ├─ ./programs
#       │   └─ default.nix
#       ├─ ./services
#       │   └─ default.nix
#       └─ ./shell
#           └─ default.nix
#

{ config, lib, pkgs, user, ... }:

{ 
  imports =                                   # Home Manager Modules
    (import ../modules/editors) ++
    #(import ../modules/programs) ++
    #(import ../modules/programs/configs) ++
    #(import ../modules/services) ++
    (import ../modules/shell);

  home = {
    username = "${user}";
    homeDirectory = "/home/${user}";

    packages = with pkgs; [
      # Terminal
      btop              # Resource Manager
      pfetch            # Minimal fetch
      ranger            # File Manager
      gnupg             # sign and authorize 2nd Fac
    
      #xdg-utils
      
      # Video/Audio
      #libva-utils       # vainfo

      # Apps
      hdparm
      python3Full

      # File Management
      rsync             # Syncer $ rsync -r dir1/ dir2/
      #unzip             # Zip files
      #unrar             # Rar files

    ];
    stateVersion = "23.11";
  };

  programs = {
    home-manager.enable = true;
  };
}
