{ lib, config, pkgs, ... }:

{
    virtualisation = {
      podman ={
        enable = true;
        autoPrune.enable = true;
      };
    };

    services.gitea-actions-runner.instances = {
        homerunner = {
            enable = true;
            url = "https://git.kabtop.de";
            name = "Homerunner";
            tokenFile = config.age.secrets."services/gitea/runner-token".path;
            labels = [ 
              "debian-latest:docker://node:18-bullseye"
              "native:host"
            ];
            hostPackages = with pkgs; [
              bash
              curl
              gitMinimal
              coreutils
              wget
              gnused
            ];
        };
    };

  age.secrets."services/gitea/runner-token" = {
    file = ../../../secrets/services/gitea/runner-token.age;
    owner = "gitea-runner";
  };
}
